Tp::AbstractDBusServiceInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions | List of all members
Tp::AbstractDBusServiceInterface Class Referenceabstract
Service-side implementation

Base class for D-Bus service interfaces. More...

`#include <TelepathyQt/AbstractDBusServiceInterface>`

Inherits Tp::Object.

Inherited by Tp::AbstractCallContentInterface, Tp::AbstractChannelInterface, Tp::AbstractConnectionInterface, and Tp::AbstractProtocolInterface.

## Public Member Functions
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
virtual QVariantMap | immutableProperties () const =0
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Protected Member Functions
virtual bool | registerInterface (DBusObject *dbusObject)
virtual void | createAdaptor ()=0
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for D-Bus service interfaces.

This class serves as a base for all the classes that are used to implement interfaces that sit on top of D-Bus services.

## Constructor & Destructor Documentation

Tp::AbstractDBusServiceInterface::AbstractDBusServiceInterface | ( | const QString & | interfaceName | ) |

Construct an AbstractDBusServiceInterface that implements the interface with the given interfaceName.

Parameters

  interfaceName | The name of the interface that this class implements.

Tp::AbstractDBusServiceInterface::~AbstractDBusServiceInterface | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

QString Tp::AbstractDBusServiceInterface::interfaceName | ( |  | ) | const

Return the name of the interface that this class implements, as given on the constructor.

Returns
  The name of the interface that this class implements.

QVariantMap Tp::AbstractDBusServiceInterface::immutableProperties | ( |  | ) | const
| pure virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implemented in Tp::BaseChannelSMSInterface, Tp::BaseChannelConferenceInterface, Tp::BaseChannelSplittableInterface, Tp::BaseChannelMergeableConferenceInterface, Tp::BaseChannelHoldInterface, Tp::BaseChannelCallType, Tp::BaseChannelRoomConfigInterface, Tp::BaseChannelRoomInterface, Tp::BaseChannelGroupInterface, Tp::BaseConnectionAvatarsInterface, Tp::BaseChannelChatStateInterface, Tp::BaseConnectionAliasingInterface, Tp::BaseChannelSecurableInterface, Tp::BaseConnectionAddressingInterface, Tp::BaseChannelSASLAuthenticationInterface, Tp::BaseConnectionContactInfoInterface, Tp::BaseChannelCaptchaAuthenticationInterface, Tp::BaseConnectionContactListInterface, Tp::BaseChannelServerAuthenticationType, Tp::BaseConnectionSimplePresenceInterface, Tp::BaseProtocolPresenceInterface, Tp::BaseChannelRoomListType, Tp::BaseProtocolAvatarsInterface, Tp::BaseConnectionContactsInterface, Tp::BaseChannelMessagesInterface, Tp::BaseConnectionRequestsInterface, Tp::BaseProtocolAddressingInterface, Tp::BaseCallContentDTMFInterface, Tp::BaseChannelTextType, and Tp::BaseCallMuteInterface.

DBusObject * Tp::AbstractDBusServiceInterface::dbusObject | ( |  | ) | const

Return the DBusObject on which the adaptor of this interface is plugged.

This is only accessible after the interface has been registered with registerInterface().

Returns
  a pointer to the DBusObject on which the adaptor of this interface is plugged.

See Also
  DBusService::dbusObject()

bool Tp::AbstractDBusServiceInterface::isRegistered | ( |  | ) | const

Return whether this interface has been registered.

Returns
  `true` if the service has been registered, or `false` otherwise.

See Also
  registerInterface()

bool Tp::AbstractDBusServiceInterface::registerInterface | ( | DBusObject * | dbusObject | ) |
| protectedvirtual

Registers this interface by plugging its adaptor on the given dbusObject.

Parameters

  dbusObject | The object on which to plug the adaptor.

Returns
  `false` if the interface has already been registered, or true otherwise.

See Also
  isRegistered()

void Tp::AbstractDBusServiceInterface::createAdaptor | ( |  | ) |
| protectedpure virtual

Create the adaptor for this interface.

Subclasses should reimplement this appropriately.

bool Tp::AbstractDBusServiceInterface::notifyPropertyChanged | ( | const QString & | propertyName,
|  | const QVariant & | propertyValue
| ) |  |

Emit PropertiesChanged signal on object org.freedesktop.DBus.Properties interface with the property propertyName.

Parameters

  propertyName | The name of the changed property.
  propertyValue | The actual value of the changed property.

Returns
  `false` if the signal can not be emmited or true otherwise.